build/load vtune sep3_4 driver (vtune 2011) on ubuntu 12.10

build/load vtune sep3_4 driver (vtune 2011) on ubuntu 12.10

Ritratto di Alexander Herz

Has anyone succeeded in doing this?

I had to copy the asm/system.h from arm to x86 kernel headers and add -Wno-error=implicit-function-declaration to the makefile.

The driver builds sep3_4-x32_64-3.5.0-28-genericsmp.ko.

But then I cannot load it:

./insmod-sep3
Checking for PMU arbitration service (PAX) ... detected.
PAX service is accessible to users in group "vtune".
Executing: insmod ./sep3_4-x32_64-3.5.0-28-genericsmp.ko
insmod: error inserting './sep3_4-x32_64-3.5.0-28-genericsmp.ko': -1 Unknown symbol in module

Error:  sep3_4 driver failed to load!

You may need to build sep3_4 driver for your kernel.
Please see the sep3_4 driver README for instructions.

Any ideas?

Thx,

Alex

3 post / 0 new
Ultimo contenuto
Per informazioni complete sulle ottimizzazioni del compilatore, consultare l'Avviso sull'ottimizzazione
Ritratto di Peter Wang (Intel)

VTune Amplifier XE 2011 doesn't support latest Ubuntu* 12.10, your sep3_4 used old vtune driver source which NEVER is tested on Ubuntu* 12.10 platform.

Please upgrade to latest VTune(TM) Amplifier XE 2013 Update 6, to build driver which is sep3_10, then install this module to the system.

Ritratto di Alexander Herz

It's kinda sad that linux community's inability (or unwillingness) to proviode any kind of backwards compatiblity regularly brakes a lot of software unnecessarily, especially software that has been paid for...

It is also kind of common to use the driver (and other intel software) on officially unsupported os versions because most ppl cannot freeze their os version when installing an intel product :) Often, this works quite well, that's why I was asking.

Thx,

Alex

Accedere per lasciare un commento.